> ## Name

> cgGetProgramBufferMaxSize - get the maximum size of a buffer in bytes for a given profile

> ## Synopsis

>     #include <Cg/cg.h>

>     int cgGetProgramBufferMaxSize( CGprofile profile );

> ## Parameters

> profile
>   The target for determining the maximum buffer size.

> ## Return Values

> Returns the size of a buffer for the given profile in bytes.

> Returns 0 if an error occurs.

> ## Description

> cgGetProgramBufferMaxSize returns the maximum size of a buffer for a profile in bytes. cgGetProgramBufferMaxSize will return 0 if an invalid profile is passed.

> ## Examples

> int size = cgGetProgramBufferMaxSize( CG_PROFILE_GPU_VP );

> ## Errors

> none.

> ## History

> cgGetProgramBufferMaxSize was introduced in Cg 2.0.

> ## See Also

> cgGetProgramBufferMaxIndex, cgGetParameterBufferIndex, cgCreateBuffer